# get commands from root
rwx_self_commands() {
	grep \
		--directories "recurse" \
		--no-filename \
		"^${RWX_SELF_COMMAND}" "${RWX_ROOT_SYSTEM}" |
		cut --delimiter "(" --fields 1 |
		sed "s|^${RWX_SELF_COMMAND}||"
}

# get functions from root
rwx_self_functions() {
	grep \
		--directories "recurse" \
		--no-filename \
		"()" "${RWX_ROOT_SYSTEM}" |
		cut --delimiter "(" --fields 1
}

# output help message
rwx_self_help() {
	rwx_log \
		"rwx_… = functions" \
		" a__… = aliases" \
		" u__… = user"
}

rwx_self_install() {
	local target="${1}"
	local command file
	# commands
	local root="${target}/usr/local/bin"
	for command in $(rwx_self_commands); do
		file="${root}/${command}"
		rwx_remove "${file}"
		rwx_link "${file}" "${RWX_MAIN_PATH}"
	done
	# sh
	file="${target}/etc/profile.d/${RWX_SELF_NAME}.sh"
	rwx_remove "${file}"
	rwx_file_write "${file}" "export ENV=\"${RWX_MAIN_PATH}\""
	# bash
	file="/etc/bash.bashrc"
	rwx_remove "${file}"
	rwx_link "${file}" "${RWX_MAIN_PATH}"
}
